Subject: Re: FVWM: menu placement, FvwmButtons button placement

From: Chris Taylor <[email-masked]>
Date: Mon, 26 Feb 1996 15:15:59 -0500 (EST)

I just caught up on my FVWM list mail... more of a response than I expected!
Thanks to all who sent me information; specifically, Albrecht Kadlec, Michael
Tiefenback, and Alexander Sorg, who all pointed out the solution to my
button-placement problem. Since FvwmButtons arranges buttons left-to-right,
then top-to-bottom, a 2-row button at the end of my setup always appeared as a
single-row button in the bottom row. With that button placed at the end of the
first row of buttons, however, the other buttons arrange themselves correctly.
Here's my revised setup:

*FvwmButtonsFore	DEFAULT_FOREGROUND
*FvwmButtonsBack	DEFAULT_BACKGROUND
*FvwmButtonsGeometry	650x40+0-0
*FvwmButtonsRows	2
*FvwmButtonsFont	DEFAULT_TITLE_FONT
*FvwmButtons(1x2)	FVWM	xlogo16.xpm	menu main-menu
*FvwmButtons(5x2)	-	-       swallow "xloadFvwm" exec xload -name
xloadFvwm &
*FvwmButtons		Main		-	desk 0 0
*FvwmButtons		WebSrv		-	desk 0 1
*FvwmButtons		Browse1		-	desk 0 2
*FvwmButtons		Browse2		-	desk 0 3
*FvwmButtons		Notes		-	desk 0 4
*FvwmButtons		Post-Its	-	desk 0 5
# this was at the end of the list
*FvwmButtons(1x2)	-	-	swallow "xclockFvwm" exec xclock
-name xclockFvwm &
*FvwmButtons		WebLog		-	desk 0 6
*FvwmButtons		PrxyLog		-	desk 0 7
*FvwmButtons		Misc1		-	desk 0 8
*FvwmButtons		Misc2		-	desk 0 9
*FvwmButtons		Misc3		-	desk 0 10
*FvwmButtons		Mail		-	desk 0 11
# xclock button used to be here

Just to check, I looked at the manual page; there's no mention of FvwmButtons'
method for arranging things. Yet another addition/correction for the man pages,
I guess -- sorry, Chuck. 1/2 :-)

As for my menu problems, I goofed. In my original message, I said I used
fvwm-style menus (click-to-display). In fact, I use mwm-style menus, which
automatically appear as the pointer enters them. I've switched to fvwm-style
menus for the time being, but that doesn't really eliminate the problem: a
submenu should appear to the left of its parent when there's insufficient room
to the right of the parent.

Chris Taylor     / My views do not represent \ PGP public key available
[email-masked] \    those of Cabletron.    / via keyserver or request

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].